Module java.base
Package java.nio.file

## Interface WatchEvent.Modifier

Enclosing interface:
  WatchEvent<T>

    public static interface WatchEvent.Modifier

An event modifier that qualifies how a `Watchable` is registered with a `WatchService`.

This release does not define any standard modifiers.

Since:
  1.7
See Also:
  `Watchable.register(java.nio.file.WatchService, java.nio.file.WatchEvent.Kind<?>[], java.nio.file.WatchEvent.Modifier...)`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `name()` Returns the name of the modifier.

### Method Detail

#### name

    String name()

Returns the name of the modifier.

Returns:
  the name of the modifier